package com.ym.mec.biz.dal.dao;

import java.util.List;
import com.ym.mec.biz.dal.dto.BasicUserDto;
import org.apache.ibatis.annotations.Param;
import com.ym.mec.biz.dal.dto.ImUserFriendDto;
import com.ym.mec.biz.dal.entity.ImUserFriend;
import com.ym.mec.common.dal.BaseDAO;

public interface ImUserFriendDao extends BaseDAO<Long, ImUserFriend> {

	ImUserFriend query(@Param("userId") Integer userId, @Param("friendId") Integer friendId);

	/**
	 * 根据条件查询指定用户的好友列表
	 * @param userId 指定用户的编号
	 * @param search 搜索条件
	 * @return
	 */
	List<ImUserFriendDto> queryFriendListByUserId(@Param("userId") Integer userId, @Param("search") String search);

	ImUserFriendDto queryFriendDetail(@Param("userId") Integer userId, @Param("friendUserId") Integer friendUserId);

	/**
	 * 清除通讯录
	 * @param teacherId
	 */
    void deleteByUserId(Integer teacherId);

	void insertByBasicUser(@Param("basicUserDto") BasicUserDto basicUserDto, @Param("teacherId") Integer teacherId);
}